MediaWiki:Common.css: различия между версиями

Материал из Синяя Энциклопедии
Перейти к навигации Перейти к поиску
Нет описания правки
Нет описания правки
 
(не показаны 3 промежуточные версии этого же участника)
Строка 1: Строка 1:
/* Размещённый здесь CSS будет применяться ко всем темам оформления */
.toc, .toccolours {
background-color: #262626;
border: 1px solid #65635f;
}
.toc {
background-color: #262626;
border: 1px solid #65635f;
}
/* Результаты поиска */
.search-types .current a {
color: var(--color-base, #b9b9b9);
cursor: default;
}
.mw-search-profile-tabs {
  background-color: var(--background-color-neutral-subtle,#262626);
  margin-top: 1em;
  border: 1px solid var(--border-color-subtle,#65635f);
}
/* Легенда */
.mw-changeslist-legend {
border: 1px solid var(--border-color-subtle, #65635f);
background-color: var(--background-color-base, #262626);
}
.wikitable > * > tr > th {
    border: 1px solid var(--border-color-base,#65635f);
}
.wikitable > * > tr > td {
    border: 1px solid var(--border-color-base,#65635f);
    padding:
0.2em 0.4em;
  }
li.gallerybox div.thumb {
    border: 1px solid var(--border-color-subtle,#65635f);
  }
.mw-datatable td, .mw-datatable th {
  border: 1px solid var(--border-color-base,#525252);
}
.mw-datatable td {
  background-color: var(--background-color-base,#373737);
}
.mw-datatable tr:hover td {
  background-color: var(--background-color-progressive-subtle,#353535);
}
.mw-datatable th {
  background-color: #2D2D2D;
}
/* Файл */
#filetoc {
  background-color: var(--background-color-neutral-subtle,#262626);
  text-align: center;
  border: 1px solid var(--border-color-base,#65635f);
}
/* Галерея */
figure[typeof~="mw:File/Thumb"] > figcaption, figure[typeof~="mw:File/Frame"] > figcaption {
    border: 1px solid var(--border-color-subtle,#65635f);
    background-color: var(--background-color-interactive-subtle,#222);
}
  figure[typeof~="mw:File/Thumb"] > :not(figcaption) .mw-file-element, figure[typeof~="mw:File/Frame"] > :not(figcaption) .mw-file-element {
    border: 1px solid var(--border-color-subtle,#65635f);
  }
figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
    border: 1px solid var(--border-color-subtle,#65635f);
    background-color: var(--background-color-interactive-subtle,#222);
  }
/* Точки * * * */
/* Точки * * * */


Строка 125: Строка 38:
color: #BA00F5;
color: #BA00F5;
font-weight: bold;
font-weight: bold;
}
div.type-blue {
    background: #000 url(https://bloomstorm.su/w/images/3/35/Articletype_blue.png) no-repeat;
}
div.type-idle {
    background: #000 url(https://bloomstorm.su/w/images/c/c4/Articletype_idle.png) no-repeat;
}
div#ma-article-type {
    border-bottom: 1px solid #444444;
    background-position: top left;
    text-align: right;
    padding-top: 1em;
    padding-right: 1em;
    min-height: 55px;
    max-height: 55px;
    font-size: large;
    font-variant: small-caps;
}
}

Текущая версия от 10:22, 12 августа 2026

/* Точки * * * */

  ul {
    list-style-image: url(/w/skins/Vector/resources/skins.vector.styles.legacy/images/bullet-icon-white.png);
  }
  
  figure[typeof~="mw:File/Thumb"], figure[typeof~="mw:File/Frame"] {
    color: var(--color-base,#b9b9b9);
  }


a[href$=":Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
	
}
a[href$="/Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
}

a[href*="Bloomstorm"] {
	color: #ff0000;
	font-weight: bold;
}

a[href*="Старлайт"] {
	color: #EEBDF5;
	font-weight: bold;
}

a[href*="Hsancore3"] {
	color: #F5BB70;	
	font-weight: bold;
}

a[href*="MediaWiki default"] {
	color: #BA00F5;	
	font-weight: bold;
}


div.type-blue {
    background: #000 url(https://bloomstorm.su/w/images/3/35/Articletype_blue.png) no-repeat;
}

div.type-idle {
    background: #000 url(https://bloomstorm.su/w/images/c/c4/Articletype_idle.png) no-repeat;
}

div#ma-article-type {
    border-bottom: 1px solid #444444;
    background-position: top left;
    text-align: right;
    padding-top: 1em;
    padding-right: 1em;
    min-height: 55px;
    max-height: 55px;
    font-size: large;
    font-variant: small-caps;
}